wayland::egl_window_t(3)

NAME
wayland::egl_window_t - Native EGL window.

SYNOPSIS

#include <wayland-egl.hpp>

Inherits wayland::detail::refcounted_wrapper< wl_egl_window >.

  Public Member Functions

egl_window_t (surface_t const &surface, int width, int height)
Create a native egl window for use with eglCreateWindowSurface.

Detailed Description

Native EGL window.

Examples
egl.cpp.

Definition at line 42 of file wayland-egl.hpp.

Constructor & Destructor Documentation

  wayland::egl_window_t::egl_window_t (surface_t const & surface, int width, int height)

Create a native egl window for use with eglCreateWindowSurface.

Parameters
    surface The Wayland surface to use
    width Width of the EGL buffer
    height height of the EGL buffer

Author

Generated automatically by Doxygen for Wayland++ from the source code.